# Server

## Types

| StreamCacheServer

## Fields

enum TS3D_API_EXPORT | `RenderingLocation`
enum TS3D_API_EXPORT | `RenderingLocationClient`
enum TS3D_API_EXPORT | `RenderingLocationServer`
enum TS3D_API_EXPORT | `RenderingLocationDefault`
enum TS3D_API_EXPORT | `RenderingLocationAll`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategory`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryError`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryWarn`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryNotice`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryInfo`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryDebug`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryParser`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryHeader`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryExit`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryClient`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LwsLogCategoryLatency`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `LogCategory`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `Warning`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `Info`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `Debug`
enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT | `Trace`
enum TS3D_API_EXPORT | `StreamTerminatorState`
enum TS3D_API_EXPORT | `Cancel`
enum TS3D_API_EXPORT | `Idle`

## Detailed Description

namespace Server

## Field Documentation

enum TS3D_API_EXPORT SC::Server::RenderingLocation

  Provides control over rendering locations supported by a server instance.

enum TS3D_API_EXPORT SC::Server::RenderingLocationClient = 1u << 0

enum TS3D_API_EXPORT SC::Server::RenderingLocationServer = 1u << 1

enum TS3D_API_EXPORT SC::Server::RenderingLocationDefault = RenderingLocationClient

enum TS3D_API_EXPORT SC::Server::RenderingLocationAll = RenderingLocationClient | RenderingLocationServer

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategory

  Logging categories for use with libwebsockets. Can be combined using binary-or to specify which categories are enabled.

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryError = 1u << 0

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryWarn = 1u << 1

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryNotice = 1u << 2

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryInfo = 1u << 3

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryDebug = 1u << 4

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryParser = 1u << 5

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryHeader = 1u << 6

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryExit = 1u << 7

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryClient = 1u << 8

enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LwsLogCategoryLatency = 1u << 9

enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::LogCategory

  Logging categories for use with the SC server.

enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::Warning

enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::Info

enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::Debug

enum TS3D_API_EXPORT enum TS3D_API_EXPORT enum TS3D_API_EXPORT SC::Server::Trace

enum TS3D_API_EXPORT SC::Server::StreamTerminatorState

enum TS3D_API_EXPORT SC::Server::Cancel = 1

enum TS3D_API_EXPORT SC::Server::Idle = 2